    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * ------------------------------
    028     * CategoryItemRendererState.java
    029     * ------------------------------
    030     * (C) Copyright 2003-2006, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * $Id: CategoryItemRendererState.java,v 1.2.2.2 2006/12/01 16:30:22 mungady Exp $
    036     *
    037     * Changes (since 20-Oct-2003):
    038     * ----------------------------
    039     * 20-Oct-2003 : Added series running total (DG);
    040     * ------------- JFREECHART 1.0.x ---------------------------------------------
    041     * 01-Dec-2006 : Updated API docs (DG);
    042     *
    043     */
    044
    045    package org.jfree.chart.renderer.category;
    046
    047    import org.jfree.chart.plot.PlotRenderingInfo;
    048    import org.jfree.chart.renderer.RendererState;
    049
    050    /**
    051     * An object that retains temporary state information for a
    052     * {@link CategoryItemRenderer}.
    053     */
    054    public class CategoryItemRendererState extends RendererState {
    055
    056        /** The bar width. */
    057        private double barWidth;
    058
    059        /** The series running total. */
    060        private double seriesRunningTotal;
    061
    062        /**
    063         * Creates a new object for recording temporary state information for a
    064         * renderer.
    065         *
    066         * @param info  the plot rendering info (<code>null</code> permitted).
    067         */
    068        public CategoryItemRendererState(PlotRenderingInfo info) {
    069            super(info);
    070            this.barWidth = 0.0;
    071            this.seriesRunningTotal = 0.0;
    072        }
    073
    074        /**
    075         * Returns the bar width.
    076         *
    077         * @return The bar width.
    078         *
    079         * @see #setBarWidth(double)
    080         */
    081        public double getBarWidth() {
    082            return this.barWidth;
    083        }
    084
    085        /**
    086         * Sets the bar width.  The renderer calculates this value and stores it
    087         * here - it is not intended that users can manually set the bar width.
    088         *
    089         * @param width  the width.
    090         *
    091         * @see #getBarWidth()
    092         */
    093        public void setBarWidth(double width) {
    094            this.barWidth = width;
    095        }
    096
    097        /**
    098         * Returns the series running total.
    099         *
    100         * @return The running total.
    101         *
    102         * @see #setSeriesRunningTotal(double)
    103         */
    104        public double getSeriesRunningTotal() {
    105            return this.seriesRunningTotal;
    106        }
    107
    108        /**
    109         * Sets the series running total (this method is intended for the use of
    110         * the renderer only).
    111         *
    112         * @param total  the new total.
    113         *
    114         * @see #getSeriesRunningTotal()
    115         */
    116        void setSeriesRunningTotal(double total) {
    117            this.seriesRunningTotal = total;
    118        }
    119
    120    }